Cannot bootstrap vSphere without specifying a datastore

Bug #1830452 reported by Peter Matulis on 2019-05-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju
High
Tim McNamara

Bug Description

A controller cannot be created for cloud type 'vsphere':

$ juju bootstrap vsphere vsp

ERROR failed to bootstrap model: cannot start bootstrap instance in any availability zone (aron.internal, aron.internal/Low, aron.internal/High, aron.internal/High/Child)

With the `--debug` option the following message is discerned:

13:37:15 DEBUG juju.provider.common bootstrap.go:216 failed to start instance in availability zone "aron.internal": could not find datastore ""

A (controller?) model configuration key needs to be set to a vSphere datastore name in order for it to work:

$ juju bootstrap --config datastore=datastore1 vsphere vsp

Full debug output here:

https://pastebin.canonical.com/p/9k6bBPq4cb/

At the very least we should surface the issue better. If a vsphere has only
a single datastore then we should just use it, but if there are multiple
possibilities we should fail with a clear message.

On Sat, May 25, 2019 at 5:35 AM Peter Matulis <email address hidden>
wrote:

> Public bug reported:
>
> A controller cannot be created for cloud type 'vsphere':
>
> $ juju bootstrap vsphere vsp
>
> ERROR failed to bootstrap model: cannot start bootstrap instance in any
> availability zone (aron.internal, aron.internal/Low, aron.internal/High,
> aron.internal/High/Child)
>
> With the `--debug` option the following message is discerned:
>
> 13:37:15 DEBUG juju.provider.common bootstrap.go:216 failed to start
> instance in availability zone "aron.internal": could not find datastore
> ""
>
> A (controller?) model configuration key needs to be set to a vSphere
> datastore name in order for it to work:
>
> $ juju bootstrap --config datastore=datastore1 vsphere vsp
>
> Full debug output here:
>
> https://pastebin.canonical.com/p/9k6bBPq4cb/
>
> ** Affects: juju
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to juju.
> Matching subscriptions: juju bugs
> https://bugs.launchpad.net/bugs/1830452
>
> Title:
> Cannot bootstrap vSphere without specifying a datastore
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/juju/+bug/1830452/+subscriptions
>

Changed in juju:
assignee: nobody → Tim McNamara (tim-clicks)
status: New → In Progress
importance: Undecided → High
Ian Booth (wallyworld) on 2019-05-29
Changed in juju:
status: In Progress → Fix Committed
milestone: none → 2.6.3
Changed in juju:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers